unlink_recursive.h File Reference

Unlink recursively. More...

`#include "compat-at.h"`
`#include <fcntl.h>`

Go to the source code of this file.

## Functions

int | unlinkat_recursive (int fd, const char *path)
| Delete a path recursively.
int | unlink_recursive (const char *path)
| Delete a path recursively.
int | unlink_dir_contents (const char *path)
| Unlink only the contents of the directory recursively.

## Detailed Description

Unlink recursively.

## Function Documentation

## unlinkat_recursive()

int unlinkat_recursive | ( | int | fd,
|  | const char * | path )

Delete a path recursively.

Parameters

  fd | Open directory.
  path | The path relative to the open directory fd to unlink recursively.

Returns
  0 on success, -1 on failure.

## unlink_recursive()

int unlink_recursive | ( | const char * | path | ) |

Delete a path recursively.

Parameters

  path | The path to unlink recursively.

Returns
  0 on success, -1 on failure.

## unlink_dir_contents()

int unlink_dir_contents | ( | const char * | path | ) |

Unlink only the contents of the directory recursively.

Parameters

  path | The path of the directory.

Returns
  0 on success, -1 on failure.